﻿namespace Interfaces.Views
{
	/// <summary>
	/// Basic components of every view
	/// </summary>
	public interface IBaseView
	{
		/// <summary>
		/// Assigns the proper region.  Use the RegionConstants global static var for region names
		/// </summary>
		void SetRegion(string pRegionName);

		/// <summary>
		/// This activates the given view in the region, displaying the view.
		/// </summary>
		void SetActive();

		/// <summary>
		/// Makes this view invisible, but leaves it registered for future activation
		/// </summary>
		void SetInActivate();
	}
}
