﻿using System;
using Interfaces.Services;

namespace Services
{
	/// <summary>
	/// This class that contains application session information which may
	/// be used throughout the application.
	/// </summary>
	public class ApplicationSession : IApplicationSession
	{
		/// <summary>
		/// Holds the username for the currently logged in user
		/// </summary>
		public string UserName { get; internal set; }

		/// <summary>
		/// Holds the ID for the customer currently logged in
		/// </summary>
		public Guid CurrentCustomerId{ get; internal set; }

		public ApplicationSession()
		{
			UserName = "CurrentUser";
			CurrentCustomerId = Guid.NewGuid();  //this should be replaced with a customer ID from the DB
		}

	}
}
