﻿using System.Windows.Forms;
using Interfaces.Services;

namespace Services
{
  /// <summary>
  /// The dialog service will show a message to the user
  /// and accept an appropriate response as requested
  /// by the caller
  /// </summary>
  public class DialogService : IDialogService
  {
    /// <summary>
    /// Show the given message to the user in a dialog
    /// with just an OK button
    /// </summary>
    /// <param name="pUserMessage"></param>
    public void Show(string pUserMessage)
    {
      MessageBox.Show(pUserMessage);
    }

    /// <summary>
    /// Show a message to the user with the specified
    /// window caption and buttons
    /// </summary>
    /// <param name="pUserMessage"></param>
    /// <param name="pCaption"></param>
    /// <param name="pMessageBoxButtons"></param>
    /// <returns></returns>
    public DialogResult Show(string pUserMessage, string pCaption,
      MessageBoxButtons pMessageBoxButtons)
    {
      return MessageBox.Show(pUserMessage, pCaption, pMessageBoxButtons);
    }
  }
}