﻿using System;
using System.Windows.Forms;
using Infrastructure;
using Interfaces.Services;

namespace Shell
{
  static class Program
  {
    /// <summary>
    /// The main entry point for the application.
    /// </summary>
    [STAThread]
    static void Main()
    {
      BootStrapperWinforms bootStrapper = null;

      try
      {
        Application.EnableVisualStyles();
        Application.SetCompatibleTextRenderingDefault(false);

        bootStrapper = new BootStrapperWinforms();
        bootStrapper.Run();
      }

      catch (Exception ex)
      {
        MessageBox.Show("Error occurred during application startup. "
        + "Application will now exit. Error details:\r\n " + ex);
        return;
      }

      try
      {
        // the cast is necessary in order to treat the Shell
        // as an interface for the rest of the app
        var shellController = bootStrapper.ShellController;
        var mainShellForm = shellController.View as Form;
        Application.Run(mainShellForm);
      }
      catch (Exception exc)
      {
        var logger = ServiceLocator.Resolve<ILogger>();
        logger.Log(exc);
        //this is where we handle exceptions that were
        //unhandled in the rest of the application.
      }
    }
  }
}