﻿using Infrastructure;
using Interfaces.Services;
using Interfaces.ViewModels;
using Interfaces.Views;

namespace ViewModels
{
  public class StatusBarViewModel : BaseViewModel<IStatusBarView>, IStatusBarViewModel
  {
    public string StatusBarText { get; set; }


    public StatusBarViewModel()
    {
      InitializeMessageSubscriptions();
      View.DataContext = this;
    }

    private void InitializeMessageSubscriptions()
    {
      var msgSvc = ServiceLocator.Resolve<IMessageAggregator>();
      msgSvc.GetEvent<StatusMessage>().Subscribe((dto) => StatusBarText = dto.Message);
    }
  }
}
