﻿using System;
using System.Windows.Forms;
using Interfaces.Views;

namespace Views_Winforms
{
/// <summary>
/// View that shows individual text boxes for editing
/// a Person object
/// </summary>
public partial class DataEntryView : BaseView, IDataEntryView
{
  public object DataContext { get; set; }

  public DataEntryView()
  {
    InitializeComponent();
  }

  /// <summary>
  /// Binds the incoming property on the DataSource 
  /// to the FirstName textbox
  /// </summary>
  public void BindFirstName(string pPropertyName)
  {
    firstNameTxt.DataBindings.Add("Text", DataContext, pPropertyName);
  }

  /// <summary>
  /// Binds the incoming property on the DataSource 
  /// to the LastName textbox
  /// </summary>
  public void BindLastName(string pPropertyName)
  {
    lastNameTxt.DataBindings.Add("Text", DataContext, pPropertyName);
  }
}
}
