﻿using System;
using Interfaces.Views;

namespace Views_Winforms
{
	public partial class NavigationView : BaseView, INavigationView
	{
		public NavigationView()
		{
			InitializeComponent();
		}

		private void dataEntryFormLaunchBtn_Click(object sender, EventArgs e)
		{
			OnDataEntryFormLaunchRequested();
		}

		private void OnDataEntryFormLaunchRequested()
		{
			var handler = DataEntryFormLaunchRequested;
			if (handler != null)
			{
				handler(this, new EventArgs());
			}
		}
		public event EventHandler<EventArgs> DataEntryFormLaunchRequested;

		private void gridViewFormBtn_Click(object sender, EventArgs e)
		{
			OnGridFormLaunchRequested();
		}

		private void OnGridFormLaunchRequested()
		{
			var handler = GridFormLaunchRequested;
			if (handler != null)
			{
				handler(this, new EventArgs());
			}
		}
		public event EventHandler<EventArgs> GridFormLaunchRequested;

		/// <summary>
		/// This is not used in the Winforms view - it is needed since WPF
		/// and Winforms share interfaces.
		/// </summary>
		public object DataContext { get; set; }
	}
}
